#include "queue.h"

bool queue::addToQueue(int id) {
    if(in_queue(id)) {
        return false;
    }
    l.insertTail(id);
    return true;
}

bool queue::removeFromQueue() {
    int id = l.at(0);
    l.remove(id);
    return false;
}

int queue::showTopOfQueue() {
    if(l.size() == 0) {
        return -1;
    }
    int top = l.at(0);
    return top;
}

int queue::showSizeOfQueue() { 
    return l.size();
}

bool queue::in_queue(int id) {
    node* node_ptr = l.head;
    while(node_ptr != NULL) {
        if(node_ptr->id == id) {
            return true;
        }
        node_ptr = node_ptr->next;
    }
    return false;
}
